=== modified file 'lib/lp/app/javascript/listing_navigator.js'
--- lib/lp/app/javascript/listing_navigator.js	2012-01-05 20:54:29 +0000
+++ lib/lp/app/javascript/listing_navigator.js	2012-01-06 13:17:34 +0000
@@ -370,23 +370,24 @@
             }
         };
         var context = this.get_current_batch().context;
+        var view_name = this.get_current_batch().view_name;
+
+        if (Y.Lang.isValue(this.get('io_provider'))) {
+            load_model_config.io_provider = this.get('io_provider');
+        }
 
         if (!context) {
             // try to see if there is no context we can fake the object in
             // order to pass through
             context = new Y.lp.client.Entry(
-                new Y.lp.client.Launchpad(),
-                {
+                new Y.lp.client.Launchpad({
+                    io_provider: load_model_config.io_provider
+                }), {
                     'web_link': likely_web_link()
                 }
             );
         }
 
-        var view_name = this.get_current_batch().view_name;
-
-        if (Y.Lang.isValue(this.get('io_provider'))) {
-            load_model_config.io_provider = this.get('io_provider');
-        }
         Y.lp.client.load_model(
             context, view_name, load_model_config, query);
     }

=== modified file 'lib/lp/app/javascript/tests/test_listing_navigator.js'
--- lib/lp/app/javascript/tests/test_listing_navigator.js	2011-12-14 19:23:02 +0000
+++ lib/lp/app/javascript/tests/test_listing_navigator.js	2012-01-06 13:17:34 +0000
@@ -623,7 +623,31 @@
         navigator.prev_batch();
         Y.Assert.areSame(
             null, navigator.get('io_provider').last_request);
+    },
+
+    /**
+     * Verify we get a reasonable default context if there is no context
+     * available as is the case with the BugsBugTaskSearchListingView.
+     */
+    test_default_context: function () {
+        var navigator = get_navigator('', {target: this.target});
+        // now remove the context
+        var batch = navigator.get_current_batch();
+        delete batch.context;
+
+        navigator.get_current_batch().view_name = '+funitems';
+        navigator.load_model({});
+
+        // the start of the url used will be whatever the current
+        // location.href is for the window object. We can make sure we did get
+        // a nicely generated url though by checking they end built correctly.
+        var generated_url = navigator.get('io_provider').last_request.url;
+
+        Y.Assert.areSame(
+            '+funitems/++model++',
+            generated_url.substr(generated_url.indexOf('+')));
     }
+
 }));
 
 suite.add(new Y.Test.Case({

